<?php

/**
 * @package menueinstelltool
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf 
 */


class MenuEinstellTool37 extends MenuEinstell
{
  var $file = 'writecolumnstool37.php';
    
  
  protected function _getSights()
  {
    $result = array();
    
    $sightIds = array(
          457 => 'Dozentenportrait'
    );
    
    foreach ($sightIds as $sightId => $description) {
      $result[] = $this->_createSightObj( $sightId, TOOL_PORTRAIT_DOZ, $description );
    }
    
    return $result;
  }
  
  public function mainmenu($pEinstieg, $pEditId, $pSightId)
  {
    
    if ($pEinstieg == 1)
    {
      $this->getUebersichtEinstell(SessionOperations::getVarValueIntern('menutext'));
    }
    else 
    {
      echo"
      <table border='0' cellpadding='0' cellspacing='5' height='100%' width='100%'>
        <tr>
          <td valign='top' width='100%' height='5%'>
            <p align='right'><font id='text_basys_webtools'>".KUFERTOOLS."</font></p>
          </td>
        </tr>
      </table>
      ";
      
      switch ($pSightId)
      {
        case 457: 
        {
          $objsettings = ToolSettingsAPI::getToolSettings( TOOL_PORTRAIT_DOZ );
          
          echo '<h2>Einstellungen für das Dozentenportrait</h2>' . BR_WT .
                $this->getStandardEinstellFormHeader( TOOL_PORTRAIT_DOZ, 'doz_portrait', $pSightId );
          
          echo '<h4>Benachrichtigung bei geänderten Dozentenportraits versenden:</h4>' .
               '<div class="bold">' .
                 '<label for="informiereEinrichtungPerTelefonTodoListe">Telefon-/To-do-Liste: </label>' .
                  HTMLOperations::CreateInputTag( 'informiereEinrichtungPerTelefonTodoListe', 'checkbox', 'informiereEinrichtungPerTelefonTodoListe',
                          '', '1', '', $objsettings->informiereEinrichtungPerTelefonTodoListe ) .
               '</div>';
          
          echo '<div class="dozPortraitBenachrichtigungEmailDiv bold">' .
                  '<label for="informiereEinrichtungPerEmail">E-Mail: </label>' .
                  HTMLOperations::CreateInputTag( 'informiereEinrichtungPerEmail', 'checkbox', 'informiereEinrichtungPerEmail',
                          '', '1', '', $objsettings->informiereEinrichtungPerEmail ) .
                  $this->createTextFieldForEmailAddress( 'vhsEmailTool37Section457', $objsettings->vhsEmailTool37Section457, true ) .
               '</div>' . BR_WT;
          
          echo '<div>' .
                 '<input type="image" title="Speichern" src="layout/button_save.gif" border="0">' .
               '</div>' . BR_WT . BR_WT;
          
          echo '</form>';
          
          $this->_configureSight( $pSightId, new SightConfiguratorUebersicht( $pSightId, 771, 610 ) );
          break;
        }
      }
    }
  }
}